
Infrastructure - Bug #1267

Metacat is not returning exception name in error responses

2011-01-28 03:41 - Dave Vieglais

Status: Closed Start date: 2011-01-28

Priority: High Due date:  

Assignee:  % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.06   

Milestone:  Story Points:  

Product Version: *   

Description

As discussed during standup today, Metacat is not returning the name of the exception when an error condition is encountered. For

example:

curl -H "Accept: text/xml" "http://knb-mn.ecoinformatics.org/knb/d1/object/bogus"

<?xml version="1.0"?>

Document not found:bogus

 

The response should be something more like:

<?xml version="1.0"?>

Document not found:bogus

 

History

#1 - 2011-02-01 17:14 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.04 to Sprint-2011.05

#2 - 2011-02-03 18:50 - Rob Nahf

most likely needs a new d1_common_java jar in the knb.war

#3 - 2011-02-10 04:04 - Dave Vieglais

- Position deleted (19)

- Target version changed from Sprint-2011.05 to Sprint-2011.06

- Position set to 5

#4 - 2011-02-14 17:33 - Robert Waltz

- Status changed from New to Closed
